- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSDipBlockSlpSolver Class Reference

`#include <OSDipBlockSlpSolver.h>`

Inheritance diagram for OSDipBlockSlpSolver:

[legend]
Collaboration diagram for OSDipBlockSlpSolver:

[legend]
List of all members.

## Public Member Functions
virtual void | solve (double *cost, std::vector< IndexValuePair * > *solIndexValPair, double *optVal)
virtual void | solve (double *cost, std::string *osrl)
| OSDipBlockSlpSolver ()
| Default Constructor.
| OSDipBlockSlpSolver (OSInstance *osinstance)
| Create the solver with the instance.
| ~OSDipBlockSlpSolver ()
| Default destructor.
## Public Attributes
OSInstance * | m_osinstance
OSResult * | m_osresult
int | m_numberOfVar
std::vector< IndexValuePair * > | m_primalVals
## Classes
class | Factory

## Detailed Description

Definition at line 38 of file OSDipBlockSlpSolver.h.

## Constructor & Destructor Documentation

OSDipBlockSlpSolver::OSDipBlockSlpSolver | ( |  | ) |

Default Constructor.

Definition at line 23 of file OSDipBlockSlpSolver.cpp.

Referenced by OSDipBlockSlpSolver::Factory::create().

OSDipBlockSlpSolver::OSDipBlockSlpSolver | ( | OSInstance * | osinstance | ) |

Create the solver with the instance.

Definition at line 29 of file OSDipBlockSlpSolver.cpp.

References ErrorClass::errormsg, OSInstance::getVariableNumber(), m_numberOfVar, m_osinstance, and osinstance.

OSDipBlockSlpSolver::~OSDipBlockSlpSolver | ( |  | ) |

Default destructor.

Definition at line 43 of file OSDipBlockSlpSolver.cpp.

References m_primalVals.

## Member Function Documentation

void OSDipBlockSlpSolver::solve | ( | double * | cost,
|  | std::vector< IndexValuePair * > * | solIndexValPair,
|  | double * | optVal |
| ) |  |  | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | cost | -- an input value: pointer to the objective function (reduced) coefficients.
  | sv | -- a return value: sparse vector with the optimal column
  | optVal | -- a return value: the optimal solution value of the subproblem

Implements OSDipBlockSolver.

Definition at line 57 of file OSDipBlockSlpSolver.cpp.

References OSInstance::bObjectivesModified, Objective::coef, IndexValuePair::idx, OSInstance::instanceData, m_numberOfVar, m_osinstance, m_primalVals, Objectives::obj, InstanceData::objectives, OSInstance::printModel(), IndexValuePair::value, and ObjCoef::value.

void OSDipBlockSlpSolver::solve | ( | double * | cost,
|  | std::string * | osrl |
| ) |  |  | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | cost | -- an input value: pointer to the objective function (reduced) coefficients.
  | osrl | -- a return value: an osrl string

Implements OSDipBlockSolver.

Definition at line 150 of file OSDipBlockSlpSolver.cpp.

References ErrorClass::errormsg.

## Member Data Documentation

OSInstance* OSDipBlockSlpSolver::m_osinstance

Definition at line 42 of file OSDipBlockSlpSolver.h.

Referenced by OSDipBlockSlpSolver(), and solve().

OSResult* OSDipBlockSlpSolver::m_osresult

Definition at line 43 of file OSDipBlockSlpSolver.h.

int OSDipBlockSlpSolver::m_numberOfVar

Definition at line 44 of file OSDipBlockSlpSolver.h.

Referenced by OSDipBlockSlpSolver(), and solve().

std::vector<IndexValuePair*> OSDipBlockSlpSolver::m_primalVals

Definition at line 46 of file OSDipBlockSlpSolver.h.

Referenced by solve(), and ~OSDipBlockSlpSolver().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/solvers/OSDipBlockSlpSolver.h
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/osDip/solvers/OSDipBlockSlpSolver.cpp